Name: xrestop
Version: 0.5
Release: 1
Summary: X-Resource extension.
License: GPLv2+
URL: http://www.freedesktop.org/Software/xrestop

Source0: https://xorg.freedesktop.org/archive/individual/app/%{name}-%{version}.tar.gz

BuildRequires: gcc ncurses-devel libXres-devel libXext-devel libX11-devel libXau-devel

%description
Xrestop uses the X-Resource extension to provide 'top' like statistics of each
connected X11 client's server side resource usage. It is intended as a developer
tool to aid more efficient server resource usage and debug server side leakage. 

%prep
%autosetup -n %{name}-%{version}

%build
%configure
make

%install
rm -rf "$RPM_BUILD_ROOT"
%make_install

%package_help

%files
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/xrestop

%files help
%{_mandir}/man1/xrestop.1*

%changelog
* Wed Jan 12 2022 caodongxia <caodongxia@huawei.com> - 0.5-1
- Update to 0.5

* Tue Sep 29 2020  baizhonggui <baizhonggui@huawei.com> - 0.4-24 
- Modify source0

* Sun Dec 1 2019  jiaxiya <jiaxiyajiaxiya@168.com> - 0.4-23 
- Package init
